catalog:
  title: Humotion HAI 2016 Demo

templates:
- runnable
- base

variables:
  description: Showcases the Humotion Library capabilities
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de
  - sschulz@techfak.uni-bielefeld.de

  branches:
  - master
  tags:
  - HAI16-demo

  extra-requires:
  - nature: cmake
    target: fsmt-exp-humotion-hai16
  - nature: setuptools
    target: fsmt

  shell.command: |
    #!/bin/bash
    export DISPLAY=:0.0
    export prefix="${toolkit.dir}"
    export PYTHONPATH=$prefix/lib/python2.7/site-packages/
    export PATH=$prefix/bin/:$PATH
    fsmt -s 15 -r -c -o $WORKSPACE $prefix/etc/fsmt-experiments/humotion-hai16/hai16-demo.scxml
